Subject: Comforter
From: Babette Maman <[email-masked]>
To: [email-masked]
Date: Fri, 14 Mar 2025 10:47:08 -0400

As a good client, buying a lot from you from Amazon, I was disappointed by the way of one of your customer service handled my case. I received my comforter Madison park Palmer comforter the wrong size, wanted a king but got a queen and besides that with no pillow cases.  I paid $84,50. I would like to get the king size but I don’t agree paying much more for it when it wasn’t my fault.  I would like to
Continue buying your products if
Only I
Can get compensated for the king size at the same price.  Hoping to hear from you soon. Having a house warming and need it as soon as possible   Thank you for your understanding. 
Sent from my iPhone